org.apache.tomcat.util.compat

## Class JreCompat

- java.lang.Object
- - org.apache.tomcat.util.compat.JreCompat

-     public class JreCompat
      extends Object

  This is the base implementation class for JRE compatibility and provides an implementation based on Java 7. Sub-classes may extend this class and provide alternative implementations for later JRE versions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JreCompat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JreCompat` | `getInstance()`
    `boolean` | `isInstanceOfInaccessibleObjectException(Throwable t)` Test if the provided exception is an instance of java.lang.reflect.InaccessibleObjectException.
    `static boolean` | `isJre8Available()`
    `static boolean` | `isJre9Available()`
    `void` | `setUseServerCipherSuitesOrder(SSLEngine engine, boolean useCipherSuitesOrder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JreCompat

          public JreCompat()

  - ### Method Detail

    - #### getInstance

          public static JreCompat getInstance()

    - #### isJre8Available

          public static boolean isJre8Available()

    - #### setUseServerCipherSuitesOrder

          public void setUseServerCipherSuitesOrder(SSLEngine engine,
                                           boolean useCipherSuitesOrder)

    - #### isJre9Available

          public static boolean isJre9Available()

    - #### isInstanceOfInaccessibleObjectException

          public boolean isInstanceOfInaccessibleObjectException(Throwable t)

      Test if the provided exception is an instance of java.lang.reflect.InaccessibleObjectException.
      Parameters:
        `t` - The exception to test
      Returns:
        `true` if the exception is an instance of InaccessibleObjectException, otherwise `false`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.